openshot::InvalidChannels Class Reference

Exception when an invalid # of audio channels are detected. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::InvalidChannels:

## Public Member Functions

| InvalidChannels (string message, string file_path)
virtual | ~InvalidChannels () throw ()
Public Member Functions inherited from openshot::BaseException
| BaseException (string message)
virtual const char * | what () const throw ()
virtual | ~BaseException () throw ()

## Public Attributes

string | file_path

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
string | m_message

## Detailed Description

Exception when an invalid # of audio channels are detected.

Definition at line 112 of file Exceptions.h.

## Constructor & Destructor Documentation

## InvalidChannels()

openshot::InvalidChannels::InvalidChannels | ( | string | message,
|  | string | file_path
| ) |  |

inline

Definition at line 116 of file Exceptions.h.

## ~InvalidChannels()

virtual openshot::InvalidChannels::~InvalidChannels | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 118 of file Exceptions.h.

## Member Data Documentation

## file_path

string openshot::InvalidChannels::file_path

Definition at line 115 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h